commit:     9e12e3e3996ea891651b56b856805699edbf51be
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 20 04:26:02 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jun 20 05:02:17 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9e12e3e3

dev-python/qiskit: Bump to 2.1.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/qiskit/Manifest            |   2 +
 dev-python/qiskit/qiskit-2.1.0.ebuild | 111 ++++++++++++++++++++++++++++++++++
 2 files changed, 113 insertions(+)

diff --git a/dev-python/qiskit/Manifest b/dev-python/qiskit/Manifest
index e7edb6b4a7c9..308cf3b51457 100644
--- a/dev-python/qiskit/Manifest
+++ b/dev-python/qiskit/Manifest
@@ -1,4 +1,6 @@
 DIST qiskit-2.0.2-crates.tar.xz 14987108 BLAKE2B 
987eddead98df577acaef512e911f608962553a172029c262cf3a20bfc148a4b6caa3a8f8869a15a59c818214bbf41f827a28651de71aa9fb47a631a686c497c
 SHA512 
06c8effaae0dfbfc5a1b856a3db7a15f5e59f40c6a9862326f6f89607688bd070ca7bdf6b87ee6445e44e3a5af8745429c3495061c88b0d37cc421c14e03047c
 DIST qiskit-2.0.2.gh.tar.gz 7920194 BLAKE2B 
21f3df0864cf0b14cd3949dad1e3cbc5c856d3eae8235441feb8ace57e0f1e690ba4649ab24343b6c149848c7c0701f0adb8a7a6f7993b1e3137cf0ed6653bf1
 SHA512 
090eff5c1d6f1de42d204986107afe1db92f15788a468d1376619369ecea6e26523a417ef0e8a8d62ccfe8431eb890f63dd6eba64ed2889e87f60b49afc253da
+DIST qiskit-2.1.0-crates.tar.xz 15412164 BLAKE2B 
24a65f0ec256c2f848102c039106ef0fecb33be0fb00494f0ca707285e224ade0efd1a4a6a557dc5dd7d2224924e2b94a4a4585d8a9030a310f0f1a999ac0713
 SHA512 
779aca54c2da20f2558f5fab2de0ee22c861f2edd88dea17e79d1f7f796eda9612bcf45a08a0647032049e67e9c467236b493cb02efcf199e2951109c316e53a
+DIST qiskit-2.1.0.gh.tar.gz 7093669 BLAKE2B 
9168e31826e1fa83a4424eadbdd6af5e87c88f1828d0a4a70db00fc00e94056233c530b384ce4d17947feb4610aa238518f6f05393b5d644fb038d9cccf0827d
 SHA512 
18bf63c6ac381f1fd110cf08de0b0b7a4ea14c15c86835d6bd006d7e831d5623aec2b0cf17f4f3ac5aeb18e60d33ef245e8dd6aff4c219d3bd5033043e8900e0
 DIST qiskit-2.1.0rc1-crates.tar.xz 15412164 BLAKE2B 
24a65f0ec256c2f848102c039106ef0fecb33be0fb00494f0ca707285e224ade0efd1a4a6a557dc5dd7d2224924e2b94a4a4585d8a9030a310f0f1a999ac0713
 SHA512 
779aca54c2da20f2558f5fab2de0ee22c861f2edd88dea17e79d1f7f796eda9612bcf45a08a0647032049e67e9c467236b493cb02efcf199e2951109c316e53a
 DIST qiskit-2.1.0rc1.gh.tar.gz 7089079 BLAKE2B 
578e1162b4100b53a17f58781664066435d8ece9b8acd5fde9e0b959f0e1afd8a19fe1442d41bff78445d046850b80623ab8732b7f8754c102e3564b33090833
 SHA512 
2ddcb782665c1dcdad2b8422907547dd0bb017386bbff442b7f9805439244145e6a9a6809cb3117d3eb065d0da550919b6e31f1037447e34106e9cb947f90817

diff --git a/dev-python/qiskit/qiskit-2.1.0.ebuild 
b/dev-python/qiskit/qiskit-2.1.0.ebuild
new file mode 100644
index 000000000000..92ac6300b18d
--- /dev/null
+++ b/dev-python/qiskit/qiskit-2.1.0.ebuild
@@ -0,0 +1,111 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..13} )
+
+CRATES="
+"
+
+inherit cargo distutils-r1
+
+MY_P=${P/_}
+DESCRIPTION="An open-source SDK for working with quantum computers"
+HOMEPAGE="
+       https://github.com/Qiskit/qiskit/
+       https://pypi.org/project/qiskit/
+"
+SRC_URI="
+       https://github.com/Qiskit/qiskit/archive/${PV/_}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+       ${CARGO_CRATE_URIS}
+       
https://github.com/gentoo-crate-dist/qiskit/releases/download/${PV/_}/${MY_P}-crates.tar.xz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+# Dependent crate licenses
+LICENSE+="
+       Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 MIT MPL-2.0
+       Unicode-3.0 ZLIB
+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+visualization"
+
+RDEPEND="
+       >=dev-python/dill-0.3[${PYTHON_USEDEP}]
+       >=dev-python/numpy-1.17[${PYTHON_USEDEP}]
+       >=dev-python/python-constraint-1.4[${PYTHON_USEDEP}]
+       >=dev-python/rustworkx-0.15.0[${PYTHON_USEDEP}]
+       >=dev-python/scipy-1.5[${PYTHON_USEDEP}]
+       >=dev-python/stevedore-3.0.0[${PYTHON_USEDEP}]
+       visualization? (
+               >=dev-python/matplotlib-3.3[${PYTHON_USEDEP}]
+               dev-python/pydot[${PYTHON_USEDEP}]
+               >=dev-python/pillow-4.2.1[${PYTHON_USEDEP}]
+               >=dev-python/pylatexenc-1.4[${PYTHON_USEDEP}]
+               >=dev-python/seaborn-0.9.0[${PYTHON_USEDEP}]
+               <dev-python/symengine-0.14[${PYTHON_USEDEP}]
+               >=dev-python/symengine-0.11.0[${PYTHON_USEDEP}]
+               >=dev-python/sympy-1.3[${PYTHON_USEDEP}]
+       )
+"
+BDEPEND="
+       >=dev-python/cython-0.27.1[${PYTHON_USEDEP}]
+       test? (
+               app-text/poppler[png]
+               >=dev-python/ddt-1.4.4[${PYTHON_USEDEP}]
+               >=dev-python/hypothesis-4.24.3[${PYTHON_USEDEP}]
+               >=dev-python/networkx-2.2[${PYTHON_USEDEP}]
+               >=dev-python/qiskit-aer-0.14[${PYTHON_USEDEP}]
+               >=dev-python/scikit-learn-0.20.0[${PYTHON_USEDEP}]
+       )
+"
+
+# Files built without CFLAGS/LDFLAGS, acceptable for rust
+QA_FLAGS_IGNORED="
+       usr/lib.*/py.*/site-packages/qiskit/_accelerate.*.so
+       usr/lib.*/py.*/site-packages/qiskit/_qasm2.*.so
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+       distutils-r1_src_prepare
+
+       # strip forcing -Werror from tests that also leaks to other packages
+       sed -i -e '/filterwarnings.*error/d' test/utils/base.py || die
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # TODO
+               
test/python/circuit/test_equivalence.py::TestEquivalenceLibraryVisualization::test_equivalence_draw
+               
test/python/transpiler/test_unitary_synthesis_plugin.py::TestUnitarySynthesisPlugin
+               
test/python/visualization/test_dag_drawer.py::TestDagDrawer::test_dag_drawer_no_register
+               # tiny image differences, sigh
+               
test/python/visualization/test_gate_map.py::TestGateMap::test_plot_error_map_over_100_qubit
+               # TODO: failures from dill
+               
test/python/circuit/test_parameters.py::TestParameters::test_transpiling_multiple_parameterized_circuits
+               
test/python/compiler/test_transpiler.py::TestTranspile::test_delay_converts_expr_to_dt
+               
test/python/compiler/test_transpiler.py::TestTranspile::test_transpile_two
+               
test/python/transpiler/test_naming_transpiled_circuits.py::TestNamingTranspiledCircuits::test_multiple_circuits_name_list
+       )
+
+       local EPYTEST_IGNORE=(
+               # Breaks xdist
+               test/python/qasm2/test_parse_errors.py
+               test/python/transpiler/test_preset_passmanagers.py
+       )
+
+       rm -rf qiskit || die
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       # Run the Python test suite rather than everything under test/ which
+       # includes the 'randomized' suite. Upstream run that in a separate CI 
job.
+       epytest test/python
+}

Reply via email to